#encoding
module RailsAdmin
  module Config
    module Actions
        class GenerateUserPerfomance < RailsAdmin::Config::Actions::Base
            register_instance_option :visible?  do
                authorized?
            end

            register_instance_option :member do
                true
            end

            register_instance_option :link_icon do
                'icon-share'
            end

            register_instance_option :pjax? do
                false
            end

            register_instance_option :controller do
                Proc.new do
                    require 'rest-client'
                    user_perfomance = UserPerfomance.where("id = ? ",@object.id).first
                    n = "统计成功"
                    if not user_perfomance.blank?
                        n = "已成功统计"
                        url = "#{CONFIG_FILE["app_host"]}/railsadmin/user/perfomance/#{@object.id}"
                        begin
                            ret = RestClient.get url, {} #per_page: 5
                        rescue Exception => e
                            n = "统计失败！"
                        end
                    end
                    redirect_to :back, notice: "#{n}"
                end
            end
        end
    end
  end
end